micronaut:
  application:
    name: instamini_micronaut
  metrics:
    enabled: true
  security:
    endpoints:
      login:
        enabled: false
    basic-auth:
      enabled: false
    oauth2:
      clients:
        google:
          client-id: 743755262714-l7ltj7o82enkqtgb9at53fnlcitfo83h.apps.googleusercontent.com
          client-secret: DmaRkmrDSz2cip9I5dRzIKvf
          scopes:
            - email
            - profile
          authorization:
            url: https://accounts.google.com/o/oauth2/auth
          token:
            url: https://oauth2.googleapis.com/token
      login-uri: /oauth2/authorization/google
      callback-uri: /login/oauth2/code/google
    token:
      jwt:
        signatures:
          secret:
            generator:
              secret: 56552C9F46831FD1286E7D6168942F9ACD956C01ACF4FEF814EB7585078D4DC1
              jws-algorithm: HS512
        cookie:
          enabled: false
        generator:
          refresh-token:
            enabled: false
  server:
    port: 8080
    cors:
      enabled: true
      configurations:
        web:
          allowedMethods:
            - POST
            - PUT
            - GET
            - OPTIONS
            - DELETE
          allowedHeaders:
            - Content-Type
            - Authorization
            - Accept
            - X-Requested-With
endpoints:
  metrics:
    enabled: false
    sensitive: false
  prometheus:
    enabled: false
    sensitive: false
jwt:
  token-expiration: 864000

google-api:
  url: https://www.googleapis.com/oauth2/v3

datasources:
  default:
    url: jdbc:h2:mem:mydb;DB_CLOSE_DELAY=-1;DATABASE_TO_UPPER=false;MODE=MySQL
    username: zlackbra
    password: password
    driverClassName: org.h2.Driver

jpa:
  default:
    properties:
      hibernate:
        physical_naming_strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
        implicit_naming_strategy: org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl

elasticsearch-index: users
elasticsearch:
  httpHosts: http://elasticsearch:9200

cloudinary:
  cloud_name: instamini
  # test instance secret and key for demonstration purposes
  api_key: 875182531596125
  api_secret: f7Dn3RJcypBXpOcRcMUBGqtJs8E
